io.undertow.util

## Class MimeMappings

- java.lang.Object
- - io.undertow.util.MimeMappings

    public class MimeMappings
    extends Object

Author:
  Stuart Douglas

### Nested Class Summary

Nested Classes
`static class` `MimeMappings.Builder`

### Field Summary

Fields
`static MimeMappings` `DEFAULT`
`static Map<String,String>` `DEFAULT_MIME_MAPPINGS`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static MimeMappings.Builder` `builder()`
`static MimeMappings.Builder` `builder(boolean includeDefault)`
`String` `getMimeType(String extension)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_MIME_MAPPINGS

    public static final Map<String,String> DEFAULT_MIME_MAPPINGS

#### DEFAULT

    public static final MimeMappings DEFAULT

### Method Detail

#### builder

    public static MimeMappings.Builder builder()

#### builder

    public static MimeMappings.Builder builder(boolean includeDefault)

#### getMimeType

    public String getMimeType(String extension)